		.text
		.align  2
		.globl  _start

_start:
		addi x1, x0, 3
        addi x2, x0, 2
        li x3, 0x87654321
        li x4, 0x12345678
        sw x1, 0(x0)
        sw x2, 32(x0)
        lw x6, 0(x0)
        sw x3, 0(x0)
        lw x7, 0(x0)
        lw x8, 32(x0)
        sw x3, 32(x0) 
        lw x9, 32(x0)
        sh x4, 32(x0)
        lw x10, 32(x0)
        lw x11, 0(x0)
loop:
		jal x0, loop
		nop
		nop
		nop

		.end _start
		.size _start, .-_start
